# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Meta/YAML.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Tiny.pm) perl(Module/CoreList.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(parent.pm) perl(version.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name CPAN-Flatten
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: flatten cpan module requirements without install
Group: Development/Perl
License: perl
URL: https://github.com/skaji/CPAN-Flatten

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKAJI/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This is experimental.

CPAN::Flatten flattens cpan module requirements without install.

As you know, the cpan world allows cpan modules to configure themselves dynamically.
So the actual requirements can not be determined
unless you install them to your local machines.

But, I think dynamic configuration is generally harmful,
and we should avoid that.

So what happens if we flattens cpan module requirements without install?

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/C*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Sun Jul 03 2016 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

